.main {
    padding: 20px 0 100px;
}

.main .layout .courseclass {
    padding: 30px;
    background-color: #ffffff;
    box-shadow: 0 2px 12px rgba(0, 0, 0, 0.08);
    overflow: hidden;
}

.main .layout .courseclass a {
    display: block;
    float: left;
    font-size: 15px;
    font-weight: 400;
    color: #333333;
    line-height: 24px;
    margin-bottom: 10px;
    padding: 0 8px;
    margin-right: 16px;
}

.main .layout .courseclass a:hover {
    background: #BB0000;
    border-radius: 4px;
    color: #ffffff !important;
}

.main .layout .courseclass .courseclass-active {
    background: #BB0000;
    border-radius: 4px;
    color: #ffffff;
}

.main .layout ul {
    margin-top: 30px;
}

.main .layout ul li {
    padding: 21px 19px;
    float: left;
    margin-top: 20px;
    margin-right: 18px;
    box-shadow: 1px 2px 12px 0px rgba(195, 195, 195, 0.5);
    border-radius: 12px;
}

.main .layout ul li:nth-child(1),
.main .layout ul li:nth-child(2) {
    margin-top: 0;
}

.main .layout ul li:nth-child(2n) {
    margin-right: 0;
}

.main .layout ul li a {
    display: flex;
    align-items: center;
}

.main .layout ul li a .imgbox {
    width: 268px;
    height: 159px;
    overflow: hidden;
}

.main .layout ul li a .imgbox img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.main .layout ul li a .detail {
    margin-left: 14px;
}

.main .layout ul li a .detail .title {
    margin-bottom: 10px;
    width: 270px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 18px;
    color: #3D3D3D;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    word-break: break-all;
}

.main .layout ul li a .detail p {
    margin-top: 10px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 16px;
    color: #666666;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    text-overflow: ellipsis;
    word-break: break-all;
    overflow: hidden;
    width: 270px;
}